Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 453505

Summary: OpenSSH under KDE -> neverending prompts
Product: [Fedora] Fedora Reporter: H. Peter Anvin <hpa>
Component: gnome-keyringAssignee: Tomáš Bžatek <tbzatek>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 9CC: tmraz, tsmetana, walters
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 13:59:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description H. Peter Anvin 2008-07-01 04:13:52 UTC
Description of problem:

After upgrading to Fedora 9, running ssh under KDE results in it popping up a
window prompting for the key passphrase every time.  Entering the correct
passphrase does not dismiss the dialog box; it just make it come right back. 
Running ssh-add does *not* prevent the dialog boxes, but hitting Dismiss twice
without entering anything make it pick up the ssh-agent.


Version-Release number of selected component (if applicable):
openssh-5.0p1-3.fc9.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Log into KDE
2. ssh-add
3. ssh host
  
Actual results:


Expected results:


Additional info:

Comment 1 Tomas Mraz 2008-07-01 07:38:44 UTC
What prints 'ps -p $SSH_AGENT_PID uww'?


Comment 2 H. Peter Anvin 2008-07-02 00:53:03 UTC
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
hpa       2727  0.0  0.0  49872   740 ?        Ss   Jun30   0:00
/usr/bin/ssh-agent /bin/sh -c exec -l /bin/tcsh -c "/usr/bin/startkde"


Comment 3 H. Peter Anvin 2008-07-02 00:54:02 UTC
Note that dismissing the dialog boxes twice with "Deny" make it eventually
access the key through the agent.


Comment 4 Tomas Mraz 2008-07-02 05:57:36 UTC
Does the dialog box you have to dismiss look the same as the dialog box which
appears on 'ssh-add </dev/null' ?
If not, then the dialog box is from different package than ssh. I suppose it is
from gnome-keyring.
What prints echo $SSH_AUTH_SOCK and echo $SSH_ASKPASS?


Comment 5 H. Peter Anvin 2008-07-02 20:10:18 UTC
The dialog box does look different than ssh-add < /dev/null.

SSH_AUTH_SOCK=/tmp/keyring-Swi8gb/ssh
SSH_ASKPASS=/usr/libexe/openssh/gnome-ssh-askpass

Unsetting SSH_ASKPASS does not change the behaviour.

Changing SSH_AUTH_SOCK to /tmp/ssh-iTlPIq2708/agent.2708 and re-running ssh-add
does make it behave "sanely."


Comment 6 H. Peter Anvin 2008-08-28 21:19:14 UTC
This seems to work now; I presume gnome-keyring was fixed?

Comment 7 Tomáš Bžatek 2008-08-29 10:11:21 UTC
What version of gnome-keyring did you have before? There were some upstream fixes in 2.22.3 (July 1st).

Comment 8 Bug Zapper 2009-06-10 01:51:38 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-07-14 13:59:31 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.